## hardScroll

### Syntax:

    hardScroll (numberOfRows);

### Purpose:

Scrolls the background image up and down.

If numberOfRows is positive, the background image scrolls up: the top numberOfRows lines of the image are lost, and numberOfRows blank lines are added to the bottom. If numberOfRows is negative, the background image scrolls down. If numberOfRows is 0 the function has no effect.

Should the value of numberOfRows be greater than the height of the background image (or less than 0 minus the height of the background image) the background image will be blanked completely, as if blankScreen had been called.

This function is very useful for scrolling credits, but probably very little else - unless, that is, someone proves me wrong. The function is not for scrolling around scenes which are larger than the screen or window - try setSceneDimensions and aimCamera instead.

### Return value:

No return value.

### See also:

The Background Image

setBlankColour (setBlankColor)

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012